For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Portal
GuidesRecipesAPI ReferenceChangelog
GuidesRecipesAPI ReferenceChangelog
  • Airtop API
      • POSTCreate an automation (async)
      • POSTCreate a form filler automation (async)
      • POSTExecute an automation (async)
      • POSTFill a form using a form-filler automation (async)
      • GETList windows
      • POSTCreate window
      • GETGet window info
      • POSTLoad url
      • DELClose window
      • POSTClick
      • POSTCreate a form-filler automation synchronously
      • POSTFile Input
      • POSTFill a form synchronously using a form-filler automation
      • POSTHover
      • POSTMonitor for a condition
      • POSTQuery a page
      • POSTQuery a page with pagination
      • POSTPrompt content.
      • POSTScrape
      • POSTTake a screenshot
      • POSTScroll
      • POSTSummarize
      • POSTType
Portal
Airtop APIWindows

List windows

GET
https://api.airtop.ai/api/v1/sessions/:sessionId/windows
GET
/api/v1/sessions/:sessionId/windows
$curl https://api.airtop.ai/api/v1/sessions/6aac6f73-bd89-4a76-ab32-5a6c422e8b0b/windows \
> -H "Authorization: Bearer <apiKey>"
200Retrieved
1{
2 "data": {
3 "windows": [
4 {
5 "targetId": "targetId",
6 "windowId": "windowId"
7 }
8 ]
9 },
10 "meta": {
11 "requestId": "requestId"
12 },
13 "errors": [
14 {
15 "message": "message",
16 "code": "code",
17 "details": {
18 "key": "value"
19 },
20 "reason": "reason"
21 }
22 ],
23 "warnings": [
24 {
25 "message": "message",
26 "code": "code",
27 "details": {
28 "key": "value"
29 },
30 "reason": "reason"
31 }
32 ]
33}
Lists all browser windows in a session.
Was this page helpful?
Previous

Create window

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sessionIdstringRequired
ID of the session to list windows for.

Response

OK
dataobject
metaobject
errorslist of objects
warningslist of objects